export declare class Deploy {
    private configuration;
    private force;
    /**
     * Deploy all scripts in the configuration file.
     * @param {{ force: boolean }} [options] - The options object.
     */
    deployScripts(options?: {
        force: boolean;
    }): Promise<void>;
    /**
     * Handles the creation or updating of a script.
     * @param {IConfigurationScript} script - The script that needs to be created or updated.
     * @param {number} index - The index of the script in the scripts array.
     */
    private handleScriptUpload;
    private createScript;
    /**
     * Update the id of the script into the configuration object.
     * @param {IConfigurationScript} script - The script that needs to be updated.
     * @param {Response} response - The response that contains the (new) id.
     * @param {number} index - The index of the script.
     */
    private updateScriptIdInConfig;
}
