import { Response as NodeFetchResponse } from "node-fetch";
/**
 * Perform a http call to the server.
 * @param {string} method The http method used to perform the call
 * @param {string} resource - The endpoint relative to the hostname, be sure to prefix with a forward slash '/'.
 * @param [body] - The optional payload that will be sent to the server.
 * @param {boolean} throwErrors - If false, handle the error yourself, timeout errors will still be thrown. Defaults to true.
 * @returns {Promise<Response>} - The response of the server.
 */
export declare function request(method: string, resource: string, body?: any): Promise<NodeFetchResponse>;
