"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
/*
 * Namespace performing all logging tasks.
 */
/**
 * Logs to output when verbose logging enabled.
 * @param {string} log - The string that needs to be logged to the output.
 */
function logVerbose(log) {
    if (process.env.STACKPATH_LOG_LEVEL === LogLevel.VERBOSE) {
        cli_ux_1.default.log(log);
    }
}
exports.logVerbose = logVerbose;
var LogLevel;
(function (LogLevel) {
    LogLevel["VERBOSE"] = "verbose";
    LogLevel["INFO"] = "info";
})(LogLevel = exports.LogLevel || (exports.LogLevel = {}));
