"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
/**
 * Prompts the user if they want to continue or not after an error.
 * @param {string} log - The string that needs to be logged to the output.
 */
async function continueOnErrorPrompt(e) {
    if (!process.env.STACKPATH_FORCE) {
        const continueProcess = await cli_ux_1.default.prompt(`An error has occurred (${e}). Continue? y/n`);
        if (continueProcess !== "y") {
            cli_ux_1.default.log("Exiting...");
            process.exit(1);
        }
    }
}
exports.continueOnErrorPrompt = continueOnErrorPrompt;
